
PAMInspection - Feature #1068

new screen  استعلام نواقص تفتيش العمالة الوطنية

03/25/2019 03:09 PM - Abdelhalim Abu Qamar

Status: Closed Start date: 03/25/2019

Priority: Normal Due date: 05/21/2019

Assignee: Abdelhalim Abu Qamar % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers: Abdelhalim Abu Qamar Pre_Conditions:  

Severity: Normal Expected Result:  

Category: inspection new feature Actual Result:  

Sub-Category:  Environment: Production

Step_Description:  Test Case ID:  

Description

يرجى انشاء شاشة جديدة للاستعلام عن النواقص التي تم ادخالها للعمالة الوطنية كما هو موضح بالصورة

------------

also, need to use the following SQL to return date :

SELECT * FROM INS_S_NON_EXISITING_NAT_WORKER where EMP_LF_RECID in (select LF_RECID  from

MOSAL_USER.NMP_LICNFILE_V where ONR_ID = :p_ONR_ID) ;

------------

History

#1 - 03/26/2019 12:15 PM - Ahmad Amer

- Assignee changed from Ahmad Amer to Abdelhalim Abu Qamar

- % Done changed from 0 to 30

Dear Halim,

Please update the query to include the following fields:

الوظيفة(1

اسم الترخيص(2

رقم الجهة المدني(3

مسجل على الباب(4

سبب عدم التواجد(5

مرفقات الاثبات(6

it not included with

SELECT * FROM INS_S_NON_EXISITING_NAT_WORKER where EMP_LF_RECID in (select LF_RECID from MOSAL_USER.NMP_LICNFILE_V

where ONR_ID = :p_ONR_ID) ;  ?

#2 - 04/23/2019 05:13 PM - Abdelhalim Abu Qamar

- Status changed from Open to In Progress

- Assignee changed from Abdelhalim Abu Qamar to Ahmad Amer

- Environment Development added

- Environment deleted (QA)

SELECT
الوظيفة(--

NMP_GET_PKG.GET_JOB_NAME ( sS.affair_job_recid ) EMP_JOB_NAME ,

2)اسم الترخيص--

(

SELECT LL.COMPANY_NAME

FROM PMP_LICN_REQ LL,

NMP_LICNFILE LF

WHERE LL.LICN_REQ_RECID = LF.LIC_RECID

AND LL.LICN_STAGE      >= 12

AND LF.LF_RECID         = ss.LF_RECID

) COMPANY_NAME ,

3)رقم الجهة المدني--

(

SELECT LL.LICN_CIVIL_ID

FROM PMP_LICN_REQ LL,

NMP_LICNFILE LF

WHERE LL.LICN_REQ_RECID = LF.LIC_RECID

AND LL.LICN_STAGE      >= 12

AND LF.LF_RECID         = ss.LF_RECID

) LICN_CIVIL_ID ,

CLARIFICATION_ID,

IDENTIFIC_NUM

FROM INS_S_NON_EXISITING_NAT_WORKER ;

#3 - 04/24/2019 04:49 PM - Ahmad Amer

- Assignee changed from Ahmad Amer to Abdelhalim Abu Qamar

please review the sql query its return >>

ORA-00904: "SS"."AFFAIR_JOB_RECID": invalid identifier

#4 - 05/16/2019 01:32 PM - Abdelhalim Abu Qamar

- Assignee changed from Abdelhalim Abu Qamar to Ahmad Amer

remove affair_job_recid ..

SELECT

2)اسم الترخيص--

(

SELECT LL.COMPANY_NAME

FROM PMP_LICN_REQ LL,

NMP_LICNFILE LF

WHERE LL.LICN_REQ_RECID = LF.LIC_RECID

AND LL.LICN_STAGE >= 12

AND LF.LF_RECID = ss.LF_RECID

) COMPANY_NAME ,

3)رقم الجهة المدني--

(
SELECT LL.LICN_CIVIL_ID

FROM PMP_LICN_REQ LL,

NMP_LICNFILE LF

WHERE LL.LICN_REQ_RECID = LF.LIC_RECID

AND LL.LICN_STAGE >= 12

AND LF.LF_RECID = ss.LF_RECID

) LICN_CIVIL_ID ,

CLARIFICATION_ID,

IDENTIFIC_NUM

FROM INS_S_NON_EXISITING_NAT_WORKER  ss ;

select * from  INS_S_NON_EXISITING_NAT_WORKER  ss ;

#5 - 05/19/2019 03:20 PM - Ahmad Amer

- Assignee changed from Ahmad Amer to Abdelhalim Abu Qamar

- % Done changed from 30 to 100

done on test, please review the screen.

#6 - 05/20/2019 12:19 PM - Abdelhalim Abu Qamar

- File Screenshot_1.jpg added

- Co-Workers Ahmad Amer added

- Co-Workers deleted (Abdelhalim Abu Qamar)

kindly update the screen as the attachment photo

#7 - 05/20/2019 12:21 PM - Abdelhalim Abu Qamar

-----------

also to update label from (رقم الترخيص) to (الرقم المدني للجهة)

#8 - 05/20/2019 12:26 PM - Abdelhalim Abu Qamar

- Assignee changed from Abdelhalim Abu Qamar to Ahmad Amer

- Co-Workers Abdelhalim Abu Qamar added

- Co-Workers deleted (Ahmad Amer)

#9 - 05/20/2019 02:27 PM - Ahmad Amer

- Assignee changed from Ahmad Amer to Abdelhalim Abu Qamar

done on test , please review the screen

#10 - 05/21/2019 11:57 AM - Abdelhalim Abu Qamar

- Due date set to 05/21/2019

- Status changed from In Progress to Fixed

- Environment Production added

- Environment deleted (Development)
work fine move to prod.

#11 - 06/09/2019 02:29 PM - Abdelhalim Abu Qamar

- Status changed from Fixed to Closed

Files

new_inqiuer_screen.jpg 145 KB 03/25/2019 Abdelhalim Abu Qamar

Screenshot_1.jpg 174 KB 05/20/2019 Abdelhalim Abu Qamar
